#pragma once
#include "Camera.h"

class Level
{
public:
	Level();
	Level(Camera* camera);
	virtual ~Level();	
	
	virtual void Update(float elapsedSec) = 0;
	virtual void Draw() const = 0;
	virtual void MouseMove(const Point2f& mousePos) = 0;
	virtual void ProcessImGui() = 0;

private:

protected:
	Camera* m_pCamera;
};
